Assinaturas de E-mail
GET https://blooconnect.space/api/signatures/
curl --request GET \
--url 'https://blooconnect.space/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://blooconnect.space/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional Texto (String) | Termo de busca. |
| search_by | Opcional Texto (String) | Campo de busca. Valores permitidos: name. |
| datetime_field | Opcional Texto (String) | Valores aceitos: datetime, last_datetime |
| datetime_start | Opcional Texto (String) | Data inicial dos resultados no formato Y-m-d H:i:s. |
| datetime_end | Opcional Texto (String) | Data final dos resultados no formato Y-m-d H:i:s. |
| order_by | Opcional Texto (String) | Campo de ordenação. Valores permitidos: signature_id, datetime, last_datetime, name. |
| order_type | Opcional Texto (String) | Sentido da ordenação: ASC (crescente) ou DESC (decrescente). |
| page | Opcional Inteiro (Integer) | O número da página de resultados. Padrão: 1. |
| results_per_page | Opcional Inteiro (Integer) | Quantidade de resultados por página. Valores permitidos: 10, 25, 50, 100, 250, 500, 1000. Padrão: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "John Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "John Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "john@example.com",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "johndoe",
"threads": "johndoe",
"x": "johndoe",
"instagram": "johndoe",
"youtube": "johndoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-09-15 07:42:15"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://blooconnect.space/api/signatures?page=1",
"last": "https://blooconnect.space/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://blooconnect.space/api/signatures?page=1"
}
}
GET https://blooconnect.space/api/signatures/{signature_id}
curl --request GET \
--url 'https://blooconnect.space/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://blooconnect.space/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "jane@example.com",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "janedoe",
"threads": "janedoe",
"x": "janedoe",
"instagram": "janedoe",
"youtube": "janedoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-09-15 07:42:15"
}
}
POST https://blooconnect.space/api/signatures
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Obrigatório Texto (String) | Nome |
| template | Opcional Texto (String) | Valores aceitos: plain_text, mars, mercury, venus, nova |
| direction | Opcional Texto (String) | Valores aceitos: ltr, rtl |
| is_removed_branding | Opcional Booleano (Boolean) | Remover marca d'água |
| image_url | Opcional Texto (String) | Utilize imagens nos formatos JPG, JPEG, GIF ou PNG. |
| sign_off | Opcional Texto (String) | Despedida |
| full_name | Opcional Texto (String) | Nome completo |
| job_title | Opcional Texto (String) | Cargo |
| department | Opcional Texto (String) | Departamento |
| company | Opcional Texto (String) | Empresa |
| Opcional Texto (String) | ||
| website_name | Opcional Texto (String) | Nome do site |
| website_url | Opcional Texto (String) | URL do site |
| address | Opcional Texto (String) | Endereço físico |
| address_url | Opcional Texto (String) | Link para localização no Google Maps. |
| phone_number | Opcional Texto (String) | Telefone |
| Opcional Texto (String) | ||
| facebook_messenger | Opcional Texto (String) | Usuário do Messenger |
| telegram | Opcional Texto (String) | Usuário do Telegram |
| disclaimer | Opcional Texto (String) | Termo de aviso / Isenção de responsabilidade |
| font_family | Opcional Texto (String) | Valores aceitos: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Opcional Inteiro (Integer) | Valores aceitos: 12-18 |
| width | Opcional Inteiro (Integer) | Valores aceitos: 300-600 |
| image_width | Opcional Inteiro (Integer) | Valores aceitos: 45-150 |
| image_border_radius | Opcional Inteiro (Integer) | Valores aceitos: 0-100 |
| socials_width | Opcional Inteiro (Integer) | Valores aceitos: 15-30 |
| socials_padding | Opcional Inteiro (Integer) | Valores aceitos: 5-15 |
| separator_size | Opcional Inteiro (Integer) | Valores aceitos: 0-5 |
| border_radius | Opcional Inteiro (Integer) | Valores aceitos: 0-30 |
| background_color | Opcional Texto (String) | Cor de fundo |
| border_color | Opcional Texto (String) | Cor da borda |
| theme_color | Opcional Texto (String) | Cor de destaque |
| full_name_color | Opcional Texto (String) | Cor do nome completo |
| text_color | Opcional Texto (String) | Cor dos textos |
| link_color | Opcional Texto (String) | Cor dos links |
| Opcional Texto (String) | Usuário do Facebook | |
| threads | Opcional Texto (String) | Usuário do Threads |
| x | Opcional Texto (String) | Usuário do X (Twitter) |
| Opcional Texto (String) | Usuário do Instagram | |
| youtube | Opcional Texto (String) | Canal do YouTube |
| tiktok | Opcional Texto (String) | Usuário do TikTok |
| spotify | Opcional Texto (String) | Perfil do Spotify |
| Opcional Texto (String) | Perfil do Pinterest | |
| Opcional Texto (String) | Perfil do LinkedIn | |
| snapchat | Opcional Texto (String) | Usuário do Snapchat |
| twitch | Opcional Texto (String) | Canal do Twitch |
| discord | Opcional Texto (String) | ID do Discord |
| github | Opcional Texto (String) | Usuário do GitHub |
| Opcional Texto (String) | Usuário do Reddit |
curl --request POST \
--url 'https://blooconnect.space/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
--url 'https://blooconnect.space/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "jane@example.com",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 10,
"background_color": "#f8fafc",
"border_color": "#cbd5e1",
"theme_color": "#2563eb",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-09-15 07:42:15"
}
}
POST https://blooconnect.space/api/signatures/{signature_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional Texto (String) | Nome |
| template | Opcional Texto (String) | Valores aceitos: plain_text, mars, mercury, venus, nova |
| direction | Opcional Texto (String) | Valores aceitos: ltr, rtl |
| is_removed_branding | Opcional Booleano (Boolean) | Remover marca d'água |
| image_url | Opcional Texto (String) | Utilize imagens nos formatos JPG, JPEG, GIF ou PNG. |
| sign_off | Opcional Texto (String) | Despedida |
| full_name | Opcional Texto (String) | Nome completo |
| job_title | Opcional Texto (String) | Cargo |
| department | Opcional Texto (String) | Departamento |
| company | Opcional Texto (String) | Empresa |
| Opcional Texto (String) | ||
| website_name | Opcional Texto (String) | Nome do site |
| website_url | Opcional Texto (String) | URL do site |
| address | Opcional Texto (String) | Endereço físico |
| address_url | Opcional Texto (String) | Link para localização no Google Maps. |
| phone_number | Opcional Texto (String) | Telefone |
| Opcional Texto (String) | ||
| facebook_messenger | Opcional Texto (String) | Usuário do Messenger |
| telegram | Opcional Texto (String) | Usuário do Telegram |
| disclaimer | Opcional Texto (String) | Termo de aviso / Isenção de responsabilidade |
| font_family | Opcional Texto (String) | Valores aceitos: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Opcional Inteiro (Integer) | Valores aceitos: 12-18 |
| width | Opcional Inteiro (Integer) | Valores aceitos: 300-600 |
| image_width | Opcional Inteiro (Integer) | Valores aceitos: 45-150 |
| image_border_radius | Opcional Inteiro (Integer) | Valores aceitos: 0-100 |
| socials_width | Opcional Inteiro (Integer) | Valores aceitos: 15-30 |
| socials_padding | Opcional Inteiro (Integer) | Valores aceitos: 5-15 |
| separator_size | Opcional Inteiro (Integer) | Valores aceitos: 0-5 |
| border_radius | Opcional Inteiro (Integer) | Valores aceitos: 0-30 |
| background_color | Opcional Texto (String) | Cor de fundo |
| border_color | Opcional Texto (String) | Cor da borda |
| theme_color | Opcional Texto (String) | Cor de destaque |
| full_name_color | Opcional Texto (String) | Cor do nome completo |
| text_color | Opcional Texto (String) | Cor dos textos |
| link_color | Opcional Texto (String) | Cor dos links |
| Opcional Texto (String) | Usuário do Facebook | |
| threads | Opcional Texto (String) | Usuário do Threads |
| x | Opcional Texto (String) | Usuário do X (Twitter) |
| Opcional Texto (String) | Usuário do Instagram | |
| youtube | Opcional Texto (String) | Canal do YouTube |
| tiktok | Opcional Texto (String) | Usuário do TikTok |
| spotify | Opcional Texto (String) | Perfil do Spotify |
| Opcional Texto (String) | Perfil do Pinterest | |
| Opcional Texto (String) | Perfil do LinkedIn | |
| snapchat | Opcional Texto (String) | Usuário do Snapchat |
| twitch | Opcional Texto (String) | Canal do Twitch |
| discord | Opcional Texto (String) | ID do Discord |
| github | Opcional Texto (String) | Usuário do GitHub |
| Opcional Texto (String) | Usuário do Reddit |
curl --request POST \
--url 'https://blooconnect.space/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
--url 'https://blooconnect.space/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe Signature",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "jane@example.com",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 16,
"background_color": "#fff7ed",
"border_color": "#fed7aa",
"theme_color": "#c2410c",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": "2026-09-15 07:42:15",
"datetime": "2026-09-15 07:42:15"
}
}
DELETE https://blooconnect.space/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://blooconnect.space/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://blooconnect.space/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \